• Bonjour Visiteur. Bienvenue sur les nouveaux forums de MacGeneration. La peinture est encore fraiche, quelques boulons doivent être resserrés, plus d’informations demain !

Spip & Base de données

lhooq

Membre confirmé
28 Mars 2003
108
2
52
www.ericsa.ch
Bonjour,

Après avoir installé Spip dans le répertoire htdocs de MAMP, je voulais savoir si il fallait créer manuellement dans phpMyAdmin les base de données ainsi que les tables pour que Spip fonctionne?
Si oui, comment faire ?

D'avance merci !

Eric
 

Mgx

Membre confirmé
15 Octobre 2004
109
1
37
Paris
www.onlike.net
hello!

petit problème, j'ai installé MAMP avec succès, et je n'arrive pas à faire tourner SPIP dessus... j'essaie d'installer, mais le fichier install.php3 apparait en format texte...?

De même, pour un autre site sous Dotclear, la page index.php n'apparait pas ( alors qu'en allant dans /ecrire j'ai accès à l'administration )...?

Zarb quoi... en parcourant le web, j'ai vu qu'il fallait corriger via le terminal un fichier httpd.conf mais ça ne change rien. est ce quelqu'un pourrait m'expliquer la manipulation à effectuer pour pouvoir utiliser SPIP sous MAMP?

Merci.
 

geoffrey

Membre d’élite
Club MacG
19 Août 2004
3 065
145
43
kwit.fr
Dans les preferences de MAMP, tu peux soit activer le php4, soit le php3. Par default ca doit etre le 4 et comme le 3 est necessaire à dotclear et spip... Il te suffit donc de modifier ca directement dans les prefs de MAMP.
 

Mgx

Membre confirmé
15 Octobre 2004
109
1
37
Paris
www.onlike.net
nip... j'ai téléchargé MAMP 1.0 et dans la configuration, je n'ai le choix qu'entre php4 et php5 !

Bouh... je continue à chercher. J'ai bien fait les modifs sur le fichier httpd.conf & le partage web, mais rien n'y fait.
 

geoffrey

Membre d’élite
Club MacG
19 Août 2004
3 065
145
43
kwit.fr
Dans ce cas SPIP ne tournera pas avec MAMP, si MAMP ne supporte que le php4 et le php5, le php3 ne passera probablement pas.

Et puis pourquoi utiliser SPIP, qui n'est de loin pas le meilleur outil de gestion de contenu !!
 

Mgx

Membre confirmé
15 Octobre 2004
109
1
37
Paris
www.onlike.net
Mais euh!
Geoffrey, toujours à la rescousse des jeunes webmasters en difficulté ; tout d'abord merc!

Je tente autre chose, utiliser la version de SPIP en php ( et non php3 ). je vous en reparle..

SPIP? Effectivement, c'est très lourd, mais je connais assez bien NPDS et Dotclear ( d'autres aussi ), et c'est ce qui correspond le mieux à ce que je veux faire, et ce dont j'ai besoin.. mais merci pour la proposition!
 

Mgx

Membre confirmé
15 Octobre 2004
109
1
37
Paris
www.onlike.net
Perso, j'aime bien SPIP car il est assez complet. Rubriques, sous rubriques, mots clés.. et le système des boucles me parait bien plus compréhensible que la jungle du php! De plus SPIP est rapide. Evidemment, seul défaut, c'est un monstre en taille, je l'avoue.

Je jette un coup d'oeil sur Xoops, mais je connais déjà phpnuke, et je dois dire que j'ai décroché au bout d'un moment. J'ai du mail à personnaliser un design en php, ça explique sans doute un peu pourquoi..

Concernant MAMP, victoire! j'ai réussi à faire tourner punbb dessus ( en php4 par contre ). Je sais au moins que ça marche. Reste à voir pour SPIP et autres.. Les config à effectuer faisait rentrer le php3 dans les possibilités de MAMP, mais apparemment ça reste sans résultat..
 

Mgx

Membre confirmé
15 Octobre 2004
109
1
37
Paris
www.onlike.net
Un p'tit coup d'oeil > http://deauville.webdynamit.net

J'utilise SPIP comme.. blog si on veut. Partie rédactionnelle donc. Et punbb en forum. je suis toujours à la recherche d'une galerie simple et efficace, mais ne rêvons pas trop.. bref, c'est un peu HS mais c'est ça.

Finalement j'ai réussi à installer DotClear sous MAMP!! je suis en cours de transfert de mon site, mais ça marche. Reste donc SPIP... argh..
 

geoffrey

Membre d’élite
Club MacG
19 Août 2004
3 065
145
43
kwit.fr
Finalement j'ai réussi à installer DotClear sous MAMP
J'avais pas vu que t'essayais d'installer DotClear sous MAMP, ca se passe tout seul en fait (enfin j'ai eu aucun probleme chez moi).

Avec Xoops, y'a pas un module galerie ?

Par contre le lien se charge pas :/
 

Mgx

Membre confirmé
15 Octobre 2004
109
1
37
Paris
www.onlike.net
Yep, Dotclear, ça roule... et effectivement, mon hébergeur est assez récalcitrant en ce moment. Normalement ça remarche parfaitement, si tu veux réessaier. ;)
Concernant les galeries, c'est aussi possible sous SPIP, je fouille. En tout cas, MAMP c'est vraiment bien. Plus agréable que Easyphp je trouve.
 

geoffrey

Membre d’élite
Club MacG
19 Août 2004
3 065
145
43
kwit.fr
MAMP est vraiment :up:, en passant, j'ai installé Xoops en 5 minutes (le temps de retrouver le mdp mysql :D), sinon tu peux installer facilement dotclear chez free, pas besoin que se soit ton FAI, suffit que tu prennes un compte gratuit et hop, 100 mo (ou 1Go) d'hebergementa vec serveur Apache, PHP 4 activé et une base MySQL 4.1.x.
 

Guigou

Membre confirmé
13 Novembre 2003
100
0
Salut, j'ai installé MAMP, mais au départ, il n'accepte pas le php3 comme dit au-dessus.
Quand je veux ouvrir un fichier php3, l'icone a un point d'intérogation et ca m'ouvre le fichier en type "texte".

J'ai vu quelque part qu'il fallait ajouter quelques lignes dans un fichier, à savoir /Applications/MAMP/conf/httpd.conf or je l'ai pas trouvé et j'ai finalement modifié le fichier /Applications/MAMP/conf/Apache/httpd.conf. J'ai suivi toutes les instructions, mais ça marche toujours pas.

P.S: Pour qu'il accepte le php3, il fallait rajouter ces lignes dans le fichier sus-cité :

### Ajouts pour SPIP
# PHP4 & PHP3 configuration
AddType application/x-httpd-php .php3
DirectoryIndex index.html index.htm index.html.var index.php index.php3
 
A

Anonyme

Invité
Je profite de la discussion : je n'arrive pas à avoir la connexion à ma base de données avec YourSQL ou cocoaMySQL. Ma base est chez Free. Quelqu'un sait-il si il y a un problème spécifique avec free ?

Merci

Albert